Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine
Interface CSSStylableElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node

All Known Implementing Classes:
  StylableExtensionElement, SVGStylableElement

public interface CSSStylableElement
extends org.w3c.dom.Element

This interface must be implemented by the DOM elements which needs CSS support.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`StyleMap` | `getComputedStyleMap(java.lang.String pseudoElement)` Returns the computed style of this element/pseudo-element.
`java.net.URL` | `getCSSBase()` Returns the CSS base URL of this element.
`java.lang.String` | `getCSSClass()` Returns the class of this element.
`java.lang.String` | `getXMLId()` Returns the ID of this element.
`boolean` | `isPseudoInstanceOf(java.lang.String pseudoClass)` Tells whether this element is an instance of the given pseudo class.
`void` | `setComputedStyleMap(java.lang.String pseudoElement, StyleMap sm)` Sets the computed style of this element/pseudo-element.

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getComputedStyleMap

    public StyleMap getComputedStyleMap(java.lang.String pseudoElement)

  Returns the computed style of this element/pseudo-element.

### setComputedStyleMap

    public void setComputedStyleMap(java.lang.String pseudoElement,
                                    StyleMap sm)

  Sets the computed style of this element/pseudo-element.

### getXMLId

    public java.lang.String getXMLId()

  Returns the ID of this element.

### getCSSClass

    public java.lang.String getCSSClass()

  Returns the class of this element.

### getCSSBase

    public java.net.URL getCSSBase()

  Returns the CSS base URL of this element.

### isPseudoInstanceOf

    public boolean isPseudoInstanceOf(java.lang.String pseudoClass)

  Tells whether this element is an instance of the given pseudo class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.